Bug 1475438 - [abrt] psi-plus: WebCore::createMarkup(WebCore::Range const&, WTF::Vector<WebCore::Node*, 0ul, WTF::CrashOnOverflow, 16ul>*, WebCore::EAnnotateForInterchange, bool, WebCore::EAbsoluteURLs)(): psi-plus killed by signal 11
[abrt] psi-plus: WebCore::createMarkup(WebCore::Range const&, WTF::Vector<Web...
Status: CLOSED DUPLICATE of bug 1470778
Product: Fedora
Classification: Fedora
Component: psi-plus (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
https://github.com/psi-plus/main/issu...
abrt_hash:95d0ee3be721663c3f535c7d539...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 12:54 EDT by mikalai
Modified: 2017-10-24 13:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-28 08:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (140.51 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: core_backtrace (50.58 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: dso_list (18.32 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: environ (1.98 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: maps (95.28 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: open_fds (2.27 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details
File: var_log_messages (296 bytes, text/plain)
2017-07-26 12:54 EDT, mikalai
no flags Details

  None (edit)
Description mikalai 2017-07-26 12:54:15 EDT
Description of problem:
Crash when selecting text at chat window and then clicking on this.
Psi+ v1.0.9-webkit (20170612)

Version-Release number of selected component:
psi-plus-1.0-0.1.20170612git9.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        psi-plus
crash_function: WebCore::createMarkup(WebCore::Range const&, WTF::Vector<WebCore::Node*, 0ul, WTF::CrashOnOverflow, 16ul>*, WebCore::EAnnotateForInterchange, bool, WebCore::EAbsoluteURLs)
executable:     /usr/bin/psi-plus
journald_cursor: s=065bb0a9654c4560ad672739c880850c;i=7cf9e;b=409b76dda0fe4b518d47c14e1d934f9a;m=887803ace2;t=55539b1986b42;x=755c936317a4aa2a
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 WebCore::createMarkup(WebCore::Range const&, WTF::Vector<WebCore::Node*, 0ul, WTF::CrashOnOverflow, 16ul>*, WebCore::EAnnotateForInterchange, bool, WebCore::EAbsoluteURLs) at /usr/src/debug/qtwebkit-5.212.0-alpha2/Source/WebCore/editing/markup.cpp:672
 #1 WebCore::Range::toHTML() const at /usr/src/debug/qtwebkit-5.212.0-alpha2/Source/WebCore/dom/Range.cpp:910
 #2 QWebPageAdapter::selectedHtml() const at /usr/src/debug/qtwebkit-5.212.0-alpha2/Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:393
 #3 QWebPage::selectedHtml() const at /usr/src/debug/qtwebkit-5.212.0-alpha2/Source/WebKit/qt/WidgetApi/qwebpage.cpp:2308
Comment 1 mikalai 2017-07-26 12:54:22 EDT
Created attachment 1304920 [details]
File: backtrace
Comment 2 mikalai 2017-07-26 12:54:23 EDT
Created attachment 1304921 [details]
File: cgroup
Comment 3 mikalai 2017-07-26 12:54:25 EDT
Created attachment 1304922 [details]
File: core_backtrace
Comment 4 mikalai 2017-07-26 12:54:26 EDT
Created attachment 1304923 [details]
File: cpuinfo
Comment 5 mikalai 2017-07-26 12:54:28 EDT
Created attachment 1304924 [details]
File: dso_list
Comment 6 mikalai 2017-07-26 12:54:29 EDT
Created attachment 1304925 [details]
File: environ
Comment 7 mikalai 2017-07-26 12:54:30 EDT
Created attachment 1304926 [details]
File: exploitable
Comment 8 mikalai 2017-07-26 12:54:32 EDT
Created attachment 1304927 [details]
File: limits
Comment 9 mikalai 2017-07-26 12:54:34 EDT
Created attachment 1304928 [details]
File: maps
Comment 10 mikalai 2017-07-26 12:54:35 EDT
Created attachment 1304929 [details]
File: open_fds
Comment 11 mikalai 2017-07-26 12:54:37 EDT
Created attachment 1304930 [details]
File: proc_pid_status
Comment 12 mikalai 2017-07-26 12:54:38 EDT
Created attachment 1304931 [details]
File: var_log_messages
Comment 13 Ivan Romanov 2017-09-28 08:32:03 EDT

*** This bug has been marked as a duplicate of bug 1470778 ***

Note You need to log in before you can comment on or make changes to this bug.